Make a MNP - Portage check

Encoding : UTF-8

Authentication

Your "api-key" and "api-login" identifiers must be added in the headers.

Definition

This web service allows you to make a MNP request. It will let you know if the number changed from operator.

Special parameters

NameTypeDescription
phone_numbersarrayThis is the value representing the array of phone numbers you want to create MNP request.
simulation_modeboolean(optional) If this value is 'true', your request will be simulated, and you will receive a fake result. Only some minimal validations will be executed.

How Our API Deals With Incorrect Data

The API we provide will try to interpret your request as best it can. If a parameter has the wrong value, we will try to understand it anyway. If the parameter has the wrong type, we will try to format it as best we can. Thus, we have determined default values, which are indicated in our documentation. If a parameter could not be recognized or "fixed", we will ignore it, but your request will be sent.
If one of your parameters does not have the right value, or does not have the right type, we will try to:

  • "cast" (convert) it so that it can be understood.
  • format it (delete prohibited characters for example)

Server Response Example in JSON

Success

[
    "request_id": "uuid",
    "cost": "0.001",
    "number_of_numbers": 1,
    "results": [
         {
             "network_name": "string",
             "mcc": "string",
             "mnc": "string",
             "country_name": "string",
             "country_code_iso3": "string",
             "country_code": "string",
             "country_prefix": "string",
             "area": "string",
             "phone_number": "string",
             "is_ported": true,
             "ported_date": "string",
             "line_status": "string",
             "original_network_details": {
                 "network_name": "string",
                 "mcc": "string",
                 "mnc": "string",
                 "country_name": "string",
                 "country_code_iso3": "string",
                 "country_code": "string",
                 "country_prefix": "string"
             }
         }
    ]
]
Body Params

Payload to make an mnp request.

phone_numbers
array of strings
required
length between 1 and 200
phone_numbers*
boolean
Headers
string
required

Your api login from your account

string
required

Your api key from your account

Responses

400

Bad request.

401

Unauthorized.

403

Forbidden to view.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json